#
# spec file for package sudo (Version 1.6.7p5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         sudo
Version:      1.6.7p5
Release:      120
Autoreqprov:  on
Group:        System/Base
License:      BSD
URL:          http://www.courtesan.com/sudo
Summary:      Execute some commands as root
Source0:      sudo-%{version}.tar.bz2
Source1:      sudo-%{version}.pamd
Patch0:       sudo-%{version}-defaults.diff
Patch1:       sudo-%{version}-sudoers.diff
Patch2:       sudo-%{version}-CAN-2005-1993.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Sudo is a command that allows users to execute some commands as root.
The /etc/sudoers file (edited with 'visudo') specifies which users have
access to sudo and which commands they can run. Sudo logs all its
activities to syslogd, so the system administrator can keep an eye on
things. Sudo asks for the password for initializing a check period of a
given time N (where N is defined at installation and is set to 5
minutes by default).



Authors:
--------
    Jeff Nieusma <nieusma@rootgroup.com>
    David Hieb <davehieb@rootgroup.com>
    Ian McCloghrie <ian@ucsd.edu>

%prep
%setup -q
%patch0
%patch1
%patch2
cp %{S:1} .

%build
%{suse_update_config -f}
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure --prefix=%{_prefix} \
	--sbindir=%{_prefix}/sbin \
	--mandir=%{_mandir} \
	--with-logfac=auth \
	--with-insults \
	--with-all-insults \
	--with-ignore-dot \
	--with-tty-tickets \
	--enable-shell-sets-home \
	--with-sudoers-mode=0640 \
	--with-pam \
	--with-env-editor
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 700 $RPM_BUILD_ROOT/var/run/sudo
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -m 644 sudo-%{version}.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/sudo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sudoers
%config %{_sysconfdir}/pam.d/sudo
%doc BUGS CHANGES HISTORY LICENSE PORTING README RUNSON
%doc TODO TROUBLESHOOTING *.pod
%doc %{_mandir}/man?/*
%{_bindir}/*
%{_sbindir}/*
/var/run/sudo

%changelog -n sudo
* Wed Jun 22 2005 - anicka@suse.cz
- fix CAN-2005-1993 (#91569)
* Wed Sep 10 2003 - mjancar@suse.cz
- move the defaults to better place in /etc/sudoers (#30282)
* Mon Aug 25 2003 - mjancar@suse.cz
- update to 1.6.7p5
  * Fixed a problem with large numbers
  of environment variables.
- more useful defaults (#28056)
* Wed May 14 2003 - mjancar@suse.cz
- update to version 1.6.7p4
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Wed Jun 05 2002 - pmladek@suse.cz
- updated to version 1.6.6
- removed obsolete heap-overflow fix in prompt patch
* Mon Apr 22 2002 - pmladek@suse.cz
- fixed a heap-overflow (prompt patch)
- fixed prompt behaviour, %% is always translated to %% (prompt patch)
* Tue Feb 12 2002 - pmladek@suse.cz
- insults are really off by default now [#13134]
- sudo.pamd moved from patch to sources
- used %%defattr(-,root,root)
* Thu Jan 24 2002 - postadal@suse.cz
- updated to version 1.6.5p2
* Thu Jan 17 2002 - pmladek@suse.cz
- updated to version 1.6.5p1
- removed obsolete security patch (to do not run mailer as root),
  sudo runs mailer again as root but with hard-coded environment
* Wed Jan 02 2002 - pmladek@suse.cz
- aplied security patch from Sebastian Krahmer <krahmer@suse.de>
  to do not run mailer as root
- NOTIFY_BY_EMAIL enabled
* Tue Oct 30 2001 - bjacke@suse.de
- make /etc/sudoers (noreplace)
* Wed Aug 15 2001 - pmladek@suse.cz
- updated to version 1.6.3p7
* Tue Aug 14 2001 - ro@suse.de
- Don't use absolute paths to PAM modules in PAM config files
* Tue Feb 27 2001 - pblaha@suse.cz
- update on 1.6.3p6 for fix potential security problems
* Mon Jun 26 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu May 04 2000 - smid@suse.cz
- upgrade to 1.6.3
- buildroot added
* Tue Apr 04 2000 - uli@suse.de
- added "--with-env-editor" to configure call
* Wed Mar 01 2000 - schwab@suse.de
- Specfile cleanup, remove Makefile.Linux
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 09 1999 - kukuk@suse.de
- update to version 1.5.9p1
- enable PAM
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.5.2
- sudo has changed a lot, please check the sudo documentation
